.dataTables_wrapper .dataTables_length,
.dataTables_wrapper .dataTables_filter {
    display: inline-flex;
    align-items: center;
    gap: 10px;
}

.dataTables_wrapper .dataTables_length {
    float: left;
}

.dataTables_wrapper .dataTables_filter {
    float: right;
}

div.dt-buttons {
    margin-left: 15px; /* Ajusta este valor al espacio que quieras */
}

.truncate-cell {
    max-width: 100px;

    white-space: nowrap;

    overflow: hidden;

    text-overflow: ellipsis;
}


.pin-code-inputs { display: flex; justify-content: center; gap: 10px; }
.pin-code-input {
    width: 45px; height: 50px; text-align: center; font-size: 1.25rem;
    border-radius: 0.375rem; border: 1px solid #d1d3e2;
    padding: 0;
}
.pin-code-input:focus {
    border-color: #4e73df;
    box-shadow: 0 0 0 0.2rem rgba(78, 115, 223, 0.25);
    outline: none;
}

#page-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    /*background: rgba(255, 255, 255, 0.85);*/
    background: #ffffff;
    z-index: 9999;

    display: flex;
    justify-content: center;
    align-items: center;

    transition: opacity 0.3s ease;
}

#page-loader .spinner {
    width: 50px;
    height: 50px;
    border: 5px solid #f3f3f3;
    border-top: 5px solid #3498db;
    border-radius: 50%;
    animation: spin 1s linear infinite;
}

@keyframes spin {
    0% {
        transform: rotate(0deg);
    }
    100% {
        transform: rotate(360deg);
    }
}

.button-cartera {
    background-color: #183861 !important;
    color: white !important;
}

.btn-primary {
    background-color: #183861 !important;
    border-color: white !important;
}

/* Ocultamos el pin_logo cuando el menú está grande */
.sidebar:not(.toggled) .sidebar-brand-icon {
    display: none !important;
}

/* Aseguramos que se vea el logo grande */
.sidebar:not(.toggled) .sidebar-brand-text {
    display: block !important;
}

/* ESTADO 2: SIDEBAR CERRADO (Toggled) */
/* Mostramos el pin_logo cuando el menú está chiquito */
.sidebar.toggled .sidebar-brand-icon {
    display: flex !important; /* o block */
}

/* Ocultamos el logo grande */
.sidebar.toggled .sidebar-brand-text {
    display: none !important;
}


.sidebar-light .nav-item .nav-link span {
    color: #5a5c69 !important; /* Gris oscuro elegante */
    font-weight: 500; /* Un poco de negrita para que resalte */
    font-size: 0.85rem;
}

/* 2. Color de los ÍCONOS (Gris claro/azulado como en la foto) */
.sidebar-light .nav-item .nav-link i {
    color: #d1d3e2 !important; /* Gris muy claro */
    font-size: 0.85rem;
}

/* 3. Color al pasar el mouse (Hover) */
.sidebar-light .nav-item .nav-link:hover span,
.sidebar-light .nav-item .nav-link:hover i {
    color: #183861 !important; /* Azul "primary" al pasar el mouse */
}

/* 4. Títulos de sección (GESTIÓN, REPORTES) */
.sidebar-light .sidebar-heading {
    color: #b7b9cc !important; /* Gris muy clarito, mayúsculas */
    font-size: 0.65rem;
    font-weight: 700;
}
